Name: xenserver-pv-tools
Version: 7.32.0
Release: 2
Summary: ISO with the Windows and Linux PV Tools
License: Portions GPL, Portions Non-Redistributable (See description)
Vendor: Citrix Systems, Inc.
Source0: https://code.citrite.net/rest/archive/latest/projects/XS/repos/%{name}/archive?at=v%{version}&format=tar.gz&prefix=%{name}-%{version}#/%{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: genisoimage branding-xenserver

%define xensource opt/xensource
%define iso_version %{version}-%{release}

# XXX: 'RemovePathPostfixes' tag introduced in rpm 4.13 solves
#      the problem of the mutually exclusive sub packs;
#      if/when we start using it, we can create sub packs with
#      'conflicting' files, in the same spec file.

%description
ISO with the Windows and Linux PV Tools

The Windows tools contained within this ISO are proprietary and contain
multiple trademarks of Citrix Systems, Inc.
The Linux PV tools contained within this ISO are GPLv2.

Citrix, the Citrix logo, Xen, XenServer, and certain other marks appearing
herein are proprietary trademarks of Citrix Systems, Inc., and are registered
in the U.S. and other countries. You may not redistribute this package, nor
display or otherwise use any Citrix trademarks or any marks that incorporate
Citrix trademarks without the express prior written authorization of Citrix.
Nothing herein shall restrict your rights, if any, in the software contained
within this package under an applicable open source license.

Portions of this package are © 2018 Citrix Systems, Inc. For other copyright
and licensing information see the relevant source RPM.

%prep
%autosetup -p1

%build
DESTDIR=%{_builddir} \
make build

%install
install -D -m644 \
    %{_builddir}/output/xenserver/guest-tools.iso \
    %{buildroot}/%{xensource}/packages/iso/guest-tools-%{iso_version}.iso
install -D -m755 files_rpm/sr_rescan %{buildroot}/%{xensource}/bin/sr_rescan
install -D -m755 \
    files_rpm/unmount_halted_xstools.sh \
    %{buildroot}/%{xensource}/libexec/unmount_halted_xstools.sh

%post
/%{xensource}/libexec/unmount_halted_xstools.sh
/%{xensource}/bin/sr_rescan

%postun
/%{xensource}/bin/sr_rescan

%triggerpostun -- xenserver-pv-tools = 7.0.0.125243c.2061
/%{xensource}/bin/sr_rescan

%clean
rm -rf %{buildroot}

%files
/%{xensource}/packages/iso/
/%{xensource}/bin/
/%{xensource}/libexec/

%changelog
* Wed Aug 8 2018 Ben Chalmers <ben.chalmers@citrix.com> - 7.32.0
- Xeniface 110
- CA-288315: Look at the right registry location for hosttime
- XenVif 170
- CA-290852: Change memory allocation path to avoid Windows 1803 BSOD 139
- CA-288376: Correctly check for memory allocation failure

* Mon Jul 2 2018 Lin Liu <lin.liu@citrix.com> - 7.31.0
- CA-290290: brandsat.dll is not signed

* Wed May 23 2018 Ben Chalmers <ben.chalmers@citrix.com> - 7.30.0
- XenGuestAgent 274
- CA-289949 - Fix bug in identifying windows workstation SKUs
- CA-290046 : Detect if xenbus isn't running before deciding if xenvif is
- CP-26890: Update supported snapshot-with-quiesce check

* Tue Apr 17 2018 Ben Chalmers <ben.chalmers@citrix.com> - 7.29.0
- CA-287636: Merge WHQLed Xenbus 8.2.1.124 into product

* Fri Mar 23 2018 Lin Liu<lin.liu@citrix.com - 7.27.0
- CP-27537: SR-IOV feature merge of Windows/Linux guest tools

* Thu Mar 15 2018 Owen Smith <owen.smith@citrix.com - 7.26.0
- CP-25543: Add WHQL XenNet, fixes for CA-279157

* Fri Dec 08 2017 Kun Ma <kun.ma@citrix.com - 7.24.0-1
- CA-275123: Fix PVAddons version

* Wed Sep 20 2017 Ben Chalmers <ben.chalmers@citrix.com - 7.21.0-1
- CP-24583: Synchronise xenserver signed drivers

* Fri Aug 18 2017 Deli Zhang <deli.zhang@citrix.com> - 7.20.0-1
- CP-22495: Add support for NeoKylin Linux Security OS 5.0

* Mon Aug 14 2017 Ben Chalmers <Ben.Chalmers@citrix.com> - v7.19.0-1
- XenVbd 8.2.1.158
- CA-257867: XenVBD Casues VM Hang
- CA-237752: Winodws 7 VM wedged in reboot loop (PdoReset loop)
- XenIface 8.2.1.102
- CA-248924: Excessive logging in windows after resuming from suspend
- XenVif 8.2.1.152
- CA-251602: Xenbus monitor does not seem to be removing reboot key
- Installer 1058
- CA-250167: Fix Interop.*.dll signing

* Thu Jun 08 2017 Wei Xie <wei.xie@citrix.com> - v7.14.0-1
- Update xe-guest-utilities to v7.6.0
- CP-22352: Add support for Yinhe Kylin Linux.
- CP-22351: Add support for Linx.

* Fri Jun 02 2017 Wei Xie <wei.xie@citrix.com> - v7.13.0-1
- Change URLS that contains guest utilities for RedFlag and Turbo Linux.
- CP-22358: Identify Turbo Linux.
- CP-21862: Make guest tools identify RedFlag Linux.
- CA-253166: Do not silently ignore errors in command lists with pipes
- Commit inspur falcon signed tools https://repo.citrite.net:443/xs-local-build/win-installer/Falcon/win-installer-1020/installer-inspur-falcon-signed.tar

* Wed May 17 2017 Kun Ma <kun.ma@citrix.com>
- CA-253658: Use citrix linux-guest-agent for incloudsphere-pv-tools

* Wed Apr 26 2017 Wei Xie <wei.xie@citrix.com>
- CA-250696: Update xe-guest-utilities to make the build number optional.

* Thu Feb 09 2017 Kostas Ladopoulos <konstantinos.ladopoulos@citrix.com>
- Initial packaging for Transformer

* Wed Jun 15 2016 Ben Chalmers <ben.chalmers@citrix.com>
- Scan SRs after uninstalling and installing
- Remove tools iso from halted VMs before changing

* Fri Jun 05 2015 Ross Lagerwall <ross.lagerwall@citrix.com>
- Initial packaging
